interfaces {
    fxp2 {
        unit 45 {
            vlan-id 45;
            family inet {
                address 10.4.5.4/24;
            }
        }
        unit 46 {
            description "R4 to R6";
            vlan-id 46;
            family inet {
                address 10.4.6.4/24;
            }
        }
    }
    fxp3 {
        unit 34 {
            description "R4 to R3";
            vlan-id 34;
            family inet {
                address 10.3.4.4/24;
            }
        }
    }
}
protocols {
    ospf {
        export REDISTRIBUTE-RIP;
        area 0.0.0.0 {
            interface fxp2.45;
        }
        area 4.5.6.7 {
            interface fxp2.46;
        }
    }
    rip {
        group BACKBONE {
            export [ REDISTRIBUTE-OSPF REDISTRIBUTE-CONNECTED ];
            neighbor fxp3.34;
            neighbor fxp2.45;
        }
    }
}
policy-options {
    policy-statement REDISTRIBUTE-CONNECTED {
        from protocol direct;
        then accept;
    }
    policy-statement REDISTRIBUTE-OSPF {
        from protocol ospf;
        then accept;
    }
    policy-statement REDISTRIBUTE-RIP {
        from protocol rip;
        then accept;
    }
}
